<?php
  $debugin        = $decoded['debug'];
  $usr_id         = $decoded['usr_id'];
  $pedido_id      = $decoded['pedido_id'];

  if( $usr_id && $pedido_id ){

    //User
    $Query = "
      SELECT
        usr.id
      FROM usuarios_app usr
      WHERE
        usr.id = '$usr_id'
        AND usr.activo = '1'
    ";
    $Result = mysqli_query($mysqli, $Query);
    $Usr = mysqli_fetch_assoc($Result);
    if( $Usr[id] ){

      //Valida Pedido Pendiente
      $Query = "
        SELECT
          ped.id, ped.fecha, ped.total
        FROM articulos_pedidos ped
        WHERE
          ped.id != '0'
          AND ped.fk_usuario = '$Usr[id]'
          AND ped.fk_estatus = '1'
      ";
      $Result = mysqli_query($mysqli, $Query);
      $Pedido = mysqli_fetch_assoc($Result);
      if( $Pedido[id] ){

        //Update a pedido solicitado
        $Query = "
          UPDATE articulos_pedidos
          SET
            fk_estatus = '2'
          WHERE
            id = '$Pedido[id]'
        ";
        $Result = mysqli_query($mysqli, $Query);

        $Data = array(
          'action'      => 'ok',
          'pedido_id'   => $Pedido[id],
          'msn'         => 'Pedido Realizado'
        );
        echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

      }else{

        $Data = array(
          'action'      => 'error',
          'error'       => 'er-1',
          'error_msn'   => 'Error'
        );
        echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

      }
      //End Valida Pedido Pendiente

    }else{

      $Data = array(
        'action'      => 'error',
        'error'       => 'er-1',
        'error_msn'   => 'Error'
      );
      echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

    }

  }
?>
